import './instrument/happydom.js';
import * as plugins from './smartntml.plugins.js';

import * as deesElement from '@design.estate/dees-element';
export { deesElement };

export class Smartntml {
  constructor() {}

  public async renderTemplateResult(
    templateResult: plugins.deesElement.TemplateResult,
    stripCommentsArg = true
  ) {
    const element = document.createElement('div');
    plugins.deesElement.render(templateResult, element);
    let stringResult = element.innerHTML;
    if (stripCommentsArg) {
      stringResult = stringResult.replace(/<!--(.*?)-->/g, '');
    }
    return stringResult;
  }
}
